<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Name: Non-Human Subject
Description: ClinicalDocument/recordTarget SHALL be present and SHALL conform to the Human Patient, Non-Human Subject or Human Patient with Non-Human Subject templates defined below. There are three varieties of laboratory reports:  
                     Human (patient): The document reports laboratory observations produced on specimens collected exclusively from the patient. 
                     Non-Human Subject: The document reports laboratory observations produced on specimens collected from a non-human material (e.g. water, milk…) or living subject (e.g. animal). 
                     Human (patient) paired with Non-Human Subject: The document reports laboratory observations produced on a non-human specimen with a relationship to a human patient, (e.g. peanut butter eaten by a patient, a ferret that bit a patient). 
                 
                 Non-Human Subject  When the subject of the observations in the report is a sample exclusively taken from a non-human subject, such as an animal,
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000">
   <title>Non-Human Subject</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]
Item: (Nonhumansubjectrecordtarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]"
         id="d42e2759-false-d7003e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]) &gt;= 1">(Nonhumansubjectrecordtarget): element hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]
Item: (Nonhumansubjectrecordtarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]"
         id="d42e2816-false-d7018e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@typeCode) = ('RCT') or not(@typeCode)">(Nonhumansubjectrecordtarget): The value for typeCode SHALL be 'RCT'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Nonhumansubjectrecordtarget): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']) &gt;= 1">(Nonhumansubjectrecordtarget): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']) &lt;= 1">(Nonhumansubjectrecordtarget): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]) &gt;= 1">(Nonhumansubjectrecordtarget): element hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]) &lt;= 1">(Nonhumansubjectrecordtarget): element hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']
Item: (Nonhumansubjectrecordtarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']"
         id="d42e2822-false-d7052e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.2')">(Nonhumansubjectrecordtarget): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3.1.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]
Item: (Nonhumansubjectrecordtarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]"
         id="d42e2827-false-d7063e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@classCode) = ('PAT') or not(@classCode)">(Nonhumansubjectrecordtarget): The value for classCode SHALL be 'PAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:id) &gt;= 1">(Nonhumansubjectrecordtarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:patient[@nullFlavor = 'OTH']) &gt;= 1">(Nonhumansubjectrecordtarget): element hl7:patient[@nullFlavor = 'OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="count(hl7:patient[@nullFlavor = 'OTH']) &lt;= 1">(Nonhumansubjectrecordtarget): element hl7:patient[@nullFlavor = 'OTH'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]/hl7:id
Item: (Nonhumansubjectrecordtarget)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]/hl7:patient[@nullFlavor = 'OTH']
Item: (Nonhumansubjectrecordtarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2']]/hl7:patientRole[hl7:patient[@nullFlavor = 'OTH']]/hl7:patient[@nullFlavor = 'OTH']"
         id="d42e2833-false-d7097e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(Nonhumansubjectrecordtarget): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Nonhumansubjectrecordtarget): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.html"
              test="string(@nullFlavor) = ('OTH')">(Nonhumansubjectrecordtarget): The value for nullFlavor SHALL be 'OTH'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
</pattern>
