<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Name: Inquadramento clinico iniziale (LDO)
Description: Hospital Admission History And Physical Note (LOINC: 47039-3 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000">
   <title>Inquadramento clinico iniziale (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]
Item: (Inquadramento_clinico_iniziale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]
Item: (Inquadramento_clinico_iniziale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]"
         id="d42e10964-false-d272756e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Inquadramento_clinico_iniziale): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Inquadramento_clinico_iniziale): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']) &gt;= 1">(Inquadramento_clinico_iniziale): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '47039-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:code[(@code = '47039-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.5']]]) &lt;= 1">(Inquadramento_clinico_iniziale): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.5']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']
Item: (Inquadramento_clinico_iniziale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']"
         id="d42e10970-false-d272833e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.2')">(Inquadramento_clinico_iniziale): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:id
Item: (Inquadramento_clinico_iniziale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:code[(@code = '47039-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Inquadramento_clinico_iniziale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:code[(@code = '47039-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e10977-false-d272853e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="@nullFlavor or (@code='47039-3' and @codeSystem='2.16.840.1.113883.6.1')">(Inquadramento_clinico_iniziale): The element value SHALL be one of 'code '47039-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:title
Item: (Inquadramento_clinico_iniziale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:text
Item: (Inquadramento_clinico_iniziale)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]
Item: (Inquadramento_clinico_iniziale)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Inquadramento_clinico_iniziale): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Inquadramento_clinico_iniziale): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]
Item: (Inquadramento_clinico_iniziale)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Inquadramento_clinico_iniziale): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Inquadramento_clinico_iniziale): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.5']]]
Item: (Inquadramento_clinico_iniziale)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.2']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.5']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Inquadramento_clinico_iniziale): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Inquadramento_clinico_iniziale): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
