<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.65
Name: Prognosi (VPS)
Description: Prognosi  Elemento OPZIONALE atto a descrivere i dati strutturati della prognosi alla dimissione. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000">
   <title>Prognosi (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]
Item: (Prognosi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]"
         id="d42e14615-false-d362285e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Prognosi): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Prognosi): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']) &gt;= 1">(Prognosi): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']) &lt;= 1">(Prognosi): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Prognosi): element hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Prognosi): element hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Prognosi): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Prognosi): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Prognosi): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Prognosi): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='ST'] | hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='CD'] | hl7:value[@xsi:type='IVL_TS'])"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="$elmcount &gt;= 1">(Prognosi): choice (hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='CD']  or  hl7:value[@xsi:type='IVL_TS']) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="$elmcount &lt;= 1">(Prognosi): choice (hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='CD']  or  hl7:value[@xsi:type='IVL_TS']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:value[@xsi:type='ST']) &lt;= 1">(Prognosi): element hl7:value[@xsi:type='ST'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:value[@xsi:type='PQ']) &lt;= 1">(Prognosi): element hl7:value[@xsi:type='PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:value[@xsi:type='CD']) &lt;= 1">(Prognosi): element hl7:value[@xsi:type='CD'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="count(hl7:value[@xsi:type='IVL_TS']) &lt;= 1">(Prognosi): element hl7:value[@xsi:type='IVL_TS'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']
Item: (Prognosi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']"
         id="d42e14621-false-d362363e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.65')">(Prognosi): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.65'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:id
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Prognosi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e14628-false-d362383e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prognosi')">(Prognosi): The element value SHALL be one of 'code '75328-5' codeSystem '2.16.840.1.113883.6.1' displayName='Prognosi''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Prognosi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e14637-false-d362397e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Prognosi): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:effectiveTime
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:value[@xsi:type='ST']
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:value[@xsi:type='PQ']
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:value[@xsi:type='CD']
Item: (Prognosi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.65
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]/hl7:value[@xsi:type='IVL_TS']
Item: (Prognosi)
-->
</pattern>
