<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.69
Name: Esito (VPS)
Description: Outcome (LOINC: 11302-7)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000">
   <title>Esito (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]
Item: (Esito)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]
Item: (Esito)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]"
         id="d42e14911-false-d363848e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Esito): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Esito): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']) &gt;= 1">(Esito): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']) &lt;= 1">(Esito): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Esito): element hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Esito): element hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Esito): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Esito): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(Esito): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Esito): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']
Item: (Esito)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']"
         id="d42e14917-false-d363907e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.69')">(Esito): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.69'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:id
Item: (Esito)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Esito)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:code[(@code = '11302-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e14924-false-d363927e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="@nullFlavor or (@code='11302-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Esito')">(Esito): The element value SHALL be one of 'code '11302-7' codeSystem '2.16.840.1.113883.6.1' displayName='Esito''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Esito)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e14933-false-d363941e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Esito): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.69
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Esito)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e14938-false-d363957e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Esito): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.7 Esito Trattamento_VPS (DYNAMIC)'.</assert>
   </rule>
</pattern>
