<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.72
Name: Livello Appropriatezza (VPS)
Description: Appropriateness level (LOINC: 11283-9)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000">
   <title>Livello Appropriatezza (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]
Item: (Livello_Appropriatezza)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]
Item: (Livello_Appropriatezza)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]"
         id="d42e15164-false-d364144e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Livello_Appropriatezza): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Livello_Appropriatezza): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']) &gt;= 1">(Livello_Appropriatezza): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']) &lt;= 1">(Livello_Appropriatezza): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Livello_Appropriatezza): element hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Livello_Appropriatezza): element hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Livello_Appropriatezza): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Livello_Appropriatezza): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Livello_Appropriatezza): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Livello_Appropriatezza): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(Livello_Appropriatezza): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Livello_Appropriatezza): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']
Item: (Livello_Appropriatezza)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']"
         id="d42e15170-false-d364211e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.72')">(Livello_Appropriatezza): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.72'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:id
Item: (Livello_Appropriatezza)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Livello_Appropriatezza)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:code[(@code = '11283-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e15177-false-d364231e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="@nullFlavor or (@code='11283-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Valutazione Acutezza')">(Livello_Appropriatezza): The element value SHALL be one of 'code '11283-9' codeSystem '2.16.840.1.113883.6.1' displayName='Valutazione Acutezza''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Livello_Appropriatezza)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e15186-false-d364245e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Livello_Appropriatezza): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:effectiveTime
Item: (Livello_Appropriatezza)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.72
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Livello_Appropriatezza)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15197-false-d364269e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Livello_Appropriatezza): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.8 CodiceTriage_VPS (DYNAMIC)'.</assert>
   </rule>
</pattern>
