<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Name: Prestazioni (RSA)
Description: Interventions Narrative (LOINC: 62387-6 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000">
   <title>Prestazioni (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]
Item: (Prestazioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]
Item: (Prestazioni)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]"
         id="d42e16984-false-d473359e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Prestazioni): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Prestazioni): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']) &gt;= 1">(Prestazioni): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']) &lt;= 1">(Prestazioni): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Prestazioni): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '62387-6 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Prestazioni): element hl7:code[(@code = '62387-6 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Prestazioni): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Prestazioni): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']
Item: (Prestazioni)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']"
         id="d42e16990-false-d473410e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.7')">(Prestazioni): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:id
Item: (Prestazioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:code[(@code = '62387-6 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Prestazioni)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:code[(@code = '62387-6 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16997-false-d473430e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.html"
              test="@nullFlavor or (@code='62387-6 ' and @codeSystem='2.16.840.1.113883.6.1')">(Prestazioni): The element value SHALL be one of 'code '62387-6 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:title
Item: (Prestazioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.7']]/hl7:text
Item: (Prestazioni)
-->
</pattern>
