<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.20
Name: Esenzioni PrF entry
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230">
   <title>Esenzioni PrF entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.20
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]
Item: (EsenzioniPrFentry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.20
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]
Item: (EsenzioniPrFentry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]"
         id="d42e31816-false-d702960e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="string(@classCode) = ('ACT')">(EsenzioniPrFentry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="string(@moodCode) = ('EVN')">(EsenzioniPrFentry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="@negationInd">(EsenzioniPrFentry): attribute @negationInd SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(EsenzioniPrFentry): Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="count(hl7:code) &gt;= 1">(EsenzioniPrFentry): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="count(hl7:code) &lt;= 1">(EsenzioniPrFentry): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.20
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code
Item: (EsenzioniPrFentry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code"
         id="d42e31824-false-d702989e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="string(@hl7:code) = ('048')">(EsenzioniPrFentry): The value for hl7:code SHALL be '048'. Found: "<value-of select="@hl7:code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="string(@hl7:codeSystem) = ('2.16.840.1.113883.6.1')">(EsenzioniPrFentry): The value for hl7:codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@hl7:codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="string(@hl7:codeSystemName) = ('Tabella esenzioni')">(EsenzioniPrFentry): The value for hl7:codeSystemName SHALL be 'Tabella esenzioni'. Found: "<value-of select="@hl7:codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="count(hl7:originalText[hl7:reference]) &lt;= 1">(EsenzioniPrFentry): element hl7:originalText[hl7:reference] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.20
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code/hl7:originalText[hl7:reference]
Item: (EsenzioniPrFentry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code/hl7:originalText[hl7:reference]"
         id="d42e31832-false-d703018e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="count(hl7:reference) &gt;= 1">(EsenzioniPrFentry): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="count(hl7:reference) &lt;= 1">(EsenzioniPrFentry): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.20
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code/hl7:originalText[hl7:reference]/hl7:reference
Item: (EsenzioniPrFentry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][@negationInd]/hl7:code/hl7:originalText[hl7:reference]/hl7:reference"
         id="d42e31834-false-d703034e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.html"
              test="@hl7:value">(EsenzioniPrFentry): attribute @hl7:value SHALL be present.</assert>
   </rule>
</pattern>
