<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.200
Name: Estensione del Tumore - Micro - RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010">
   <title>Estensione del Tumore - Micro - RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]
Item: (EstensionedelTumoreMicroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]
Item: (EstensionedelTumoreMicroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]"
         id="d42e31861-false-d703080e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(EstensionedelTumoreMicroRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="string(@moodCode) = ('EVN')">(EstensionedelTumoreMicroRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']) &gt;= 1">(EstensionedelTumoreMicroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(EstensionedelTumoreMicroRAP): element hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:text) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:effectiveTime) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:value) &gt;= 1">(EstensionedelTumoreMicroRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:value) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:value appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.201']]]) &lt;= 1">(EstensionedelTumoreMicroRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.201']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']
Item: (EstensionedelTumoreMicroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']"
         id="d42e31873-false-d703159e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.200')">(EstensionedelTumoreMicroRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.200'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (EstensionedelTumoreMicroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:code[(@code = '21890-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e31878-false-d703171e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="string(@code) = ('21890-9')">(EstensionedelTumoreMicroRAP): The value for code SHALL be '21890-9'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(EstensionedelTumoreMicroRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(EstensionedelTumoreMicroRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(EstensionedelTumoreMicroRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:text
Item: (EstensionedelTumoreMicroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (EstensionedelTumoreMicroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e31906-false-d703204e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(EstensionedelTumoreMicroRAP): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:effectiveTime
Item: (EstensionedelTumoreMicroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:value
Item: (EstensionedelTumoreMicroRAP)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.201']]]
Item: (EstensionedelTumoreMicroRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.201']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="@typeCode">(EstensionedelTumoreMicroRAP): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(EstensionedelTumoreMicroRAP): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.200
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.204']]]
Item: (EstensionedelTumoreMicroRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.200']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.204']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="@typeCode">(EstensionedelTumoreMicroRAP): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(EstensionedelTumoreMicroRAP): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>
</pattern>
