<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.215
Name: Stadiazione - Autopsia RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722">
   <title>Stadiazione - Autopsia RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]
Item: (StadiazioneautopsiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]"
         id="d42e33168-false-d717723e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]) &lt;= 1">(StadiazioneautopsiaRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]
Item: (StadiazioneautopsiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]"
         id="d42e33190-false-d717738e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(StadiazioneautopsiaRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@moodCode) = ('EVN')">(StadiazioneautopsiaRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']) &gt;= 1">(StadiazioneautopsiaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']) &lt;= 1">(StadiazioneautopsiaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.15.16']) &gt;= 1">(StadiazioneautopsiaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.15.16'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.15.16']) &lt;= 1">(StadiazioneautopsiaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.15.16'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']
Item: (StadiazioneautopsiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']"
         id="d42e33202-false-d717781e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.215')">(StadiazioneautopsiaRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.215'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:id
Item: (StadiazioneautopsiaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:code
Item: (StadiazioneautopsiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:code"
         id="d42e33210-false-d717800e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@code) = ('a') or not(@code)">(StadiazioneautopsiaRAP): The value for code SHALL be 'a'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.15.16') or not(@codeSystem)">(StadiazioneautopsiaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.15.16'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@codeSystemName) = ('TNM Edition8 UICC') or not(@codeSystemName)">(StadiazioneautopsiaRAP): The value for codeSystemName SHALL be 'TNM Edition8 UICC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(StadiazioneautopsiaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(StadiazioneautopsiaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.215
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:value[@codeSystem = '2.16.840.1.113883.15.16']
Item: (StadiazioneautopsiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.215']]/hl7:value[@codeSystem = '2.16.840.1.113883.15.16']"
         id="d42e33226-false-d717826e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="@code">(StadiazioneautopsiaRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(StadiazioneautopsiaRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.15.16')">(StadiazioneautopsiaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.15.16'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(StadiazioneautopsiaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(StadiazioneautopsiaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
