<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.23
Name: Esenzioni PrF section
Description: Relevant diagnostic tests/laboratory data Narrative (LOINC: 30954-2 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521">
   <title>Esenzioni PrF section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]
Item: (EsenzioniPrFsection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:entry]]/hl7:section[hl7:entry]"
         id="d42e34562-false-d730131e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="count(hl7:code) &lt;= 1">(EsenzioniPrFsection): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="count(hl7:title) &lt;= 1">(EsenzioniPrFsection): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="count(hl7:text) &lt;= 1">(EsenzioniPrFsection): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="count(hl7:entry) &gt;= 1">(EsenzioniPrFsection): element hl7:entry is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="count(hl7:entry) &lt;= 1">(EsenzioniPrFsection): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:code
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:code"
         id="d42e34564-false-d730165e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="string(@hl7:code) = ('57827-8')">(EsenzioniPrFsection): The value for hl7:code SHALL be '57827-8'. Found: "<value-of select="@hl7:code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="string(@hl7:codeSystem) = ('2.16.840.1.113883.6.1')">(EsenzioniPrFsection): The value for hl7:codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@hl7:codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="string(@hl7:codeSystemName) = ('LOINC')">(EsenzioniPrFsection): The value for hl7:codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@hl7:codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="string(@hl7:displayName) = ('Motivo di esenzione dal co-pagamento')">(EsenzioniPrFsection): The value for hl7:displayName SHALL be 'Motivo di esenzione dal co-pagamento'. Found: "<value-of select="@hl7:displayName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:title
Item: (EsenzioniPrFsection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:text
Item: (EsenzioniPrFsection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:text/hl7:content
Item: (EsenzioniPrFsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:text/hl7:content"
         id="d42e34579-false-d730207e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.html"
              test="@hl7:id">(EsenzioniPrFsection): attribute @hl7:id SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.23
Context: *[hl7:section[hl7:entry]]/hl7:section[hl7:entry]/hl7:entry
Item: (EsenzioniPrFsection)
-->
</pattern>
